Page MenuHomePhabricator

Failover dbproxy1003 to dbproxy1008
Closed, ResolvedPublic

Description

Due to a3 maintenance, we need to failover m3-master to point from dbproxy1003 to dbproxy1008

Details

Related Gerrit Patches:

Event Timeline

Marostegui triaged this task as High priority.Jan 15 2019, 8:33 PM
Marostegui created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 8:33 PM

This needs to happen before Thursday 17th

Change 484611 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Re-point m3-master to dbproxy1008

https://gerrit.wikimedia.org/r/484611

Marostegui moved this task from Triage to In progress on the DBA board.Jan 16 2019, 6:30 AM

Change 484611 merged by Marostegui:
[operations/dns@master] wmnet: Re-point m3-master to dbproxy1008

https://gerrit.wikimedia.org/r/484611

Mentioned in SAL (#wikimedia-operations) [2019-01-16T08:57:01Z] <marostegui> Re-point m3-master from dbproxy1003 to dbproxy1008 - T213865

This has been done

Marostegui added a subscriber: mmodell.EditedJan 16 2019, 10:40 AM

@mmodell

˜/marostegui 11:39> twentyafterfour: We have failed over dbproxy1003 to dbproxy1008 which is phabricator, I still see two connections (they have been there for hours) going thru dbproxy1003, can you restart phabricator? T213865

These are the ones

193769	phuser	10.64.0.198:41152	phabricator_config	Sleep	1		NULL	0.000
194046123	phuser	10.64.0.198:57858	phabricator_repository	Sleep	0		NULL	0.000

@mmodell

˜/marostegui 11:39> twentyafterfour: We have failed over dbproxy1003 to dbproxy1008 which is phabricator, I still see two connections (they have been there for hours) going thru dbproxy1003, can you restart phabricator? T213865

These are the ones

193769	phuser	10.64.0.198:41152	phabricator_config	Sleep	1		NULL	0.000
194046123	phuser	10.64.0.198:57858	phabricator_repository	Sleep	0		NULL	0.000

Nevermind - I have killed those two connections

So this is solved?

Marostegui closed this task as Resolved.Jan 16 2019, 12:25 PM